## rust-libp2p-identity 0.2.9+ds

=== debian/changelog ===
rust-libp2p-identity (0.2.9+ds-3) unstable; urgency=medium

  * add patch 2002_rmp-serde
    to accept older releases of crate rmp-serde

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 05 Jul 2024 12:04:12 +0200

rust-libp2p-identity (0.2.9+ds-2) unstable; urgency=medium

  * add patch 2002_base64
    to accept older branch of crate base64
  * update dh-cargo fork
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 05 Jul 2024 10:24:44 +0200

rust-libp2p-identity (0.2.9+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * drop patch cherry-picked upstream,
    obsoleted by upstream changes
  * unfuzz patches
  * split patch 2002_features -> 2002_asn1_der 2003_no_wasm
  * add patches 2002_* to accept older releases
    of crates bs58 hkdf zeroice
  * bump project versions in virtual packages and autopkgtests

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 01 Jul 2024 14:33:42 +0200

rust-libp2p-identity (0.2.8+ds-13) unstable; urgency=medium

  * change patch 2004
    to avoid tests that use local crate quickcheck-ext,
    as autopkgtests would otherwise be too cumbersome to handle

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 12 Jun 2024 10:49:07 +0200

rust-libp2p-identity (0.2.8+ds-12) unstable; urgency=medium

  * fix include ignored tests during build

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 11 Jun 2024 11:49:11 +0200

rust-libp2p-identity (0.2.8+ds-11) unstable; urgency=medium

  * rename patch 1001, and update DEP-3 headers
  * revive upstream cherry-picked merge-request
    to fix compile errors in libp2p-identity
  * add patch 2004
    to ignore by default tests that use local crate quickcheck-ext;
    check ignored tests during build;
    stop autopkgtest-depend on package for crate quickcheck

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 11 Jun 2024 10:11:02 +0200

rust-libp2p-identity (0.2.8+ds-10) unstable; urgency=medium

  * add patch 2003 to avoid benches;
    relax build- and autopkgtest-dependency for crate criterion

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 08 Jun 2024 23:12:52 +0200

rust-libp2p-identity (0.2.8+ds-9) unstable; urgency=medium

  * fix autopkgtest-depend (not only build-depend) on recent rustc

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 07 Jun 2024 12:48:39 +0200

rust-libp2p-identity (0.2.8+ds-8) unstable; urgency=medium

  * replace patch cherry-picked upstream,
    to try handle test panicking over unreachable code

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 07 Jun 2024 12:15:57 +0200

rust-libp2p-identity (0.2.8+ds-7) unstable; urgency=medium

  * drop patch 2003;
    build-depend on recent rustc

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 31 May 2024 18:33:13 +0200

rust-libp2p-identity (0.2.8+ds-6) unstable; urgency=medium

  * add patch 1001 to skip test without needed feature

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 17 May 2024 18:52:24 +0200

rust-libp2p-identity (0.2.8+ds-5) unstable; urgency=medium

  * add patch cherry-picked upstream,
    to fix compile errors in libp2p-identity

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 17 May 2024 15:40:17 +0200

rust-libp2p-identity (0.2.8+ds-4) unstable; urgency=medium

  * update copyright info: fix file path
  * declare compliance with Debian Policy 4.7.0

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 16 May 2024 14:04:08 +0200

rust-libp2p-identity (0.2.8+ds-3) experimental; urgency=medium

  * reduce patch 2002;
    (build-)depend on packages for crates p256 sec1 void
  * provide and autpkgtest feature ecdsa
  * update dh-cargo fork
  * (build-)depend on package for crate ed25519-dalek
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 25 Jan 2024 00:44:03 +0100

rust-libp2p-identity (0.2.8+ds-2) experimental; urgency=medium

  * add patch 2003 to relax required rustc version

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 29 Nov 2023 22:13:03 +0100

rust-libp2p-identity (0.2.8+ds-1) experimental; urgency=medium

  * update and unfuzz patches
  * (build-)depend on package for crate tracing (not log)
  * drop patches 2003_base64 2003_sha2,
    obsoleted by Debian package changes
  * update TODO notes
  * bump project version in virtual packages and autopkgtests

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 19 Nov 2023 17:52:12 +0100

rust-libp2p-identity (0.2.7+ds-1) experimental; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * unfuzz patches
  * add patches 2003_*
    to relax dependencies to cover older releases of crates base64 sha2
  * (build-)depend on package for crate hkdf
  * provide and autopkgtest feature rand
  * bump project version in virtual packages and autopkgtests

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 28 Oct 2023 13:22:42 +0200

rust-libp2p-identity (0.2.3+ds-3) experimental; urgency=medium

  * drop patch 2003, obsoleted by Debian package updates;
    (build-)depend on package for crate multihash
  * update dh-cargo fork
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 16 Sep 2023 17:46:38 +0200

rust-libp2p-identity (0.2.3+ds-2) experimental; urgency=medium

  * drop patch 2003_quick-protobuf,
    obsoleted by Debian package updates;
    tighten (build-)dependency for crate quick-protobuf

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 31 Aug 2023 15:03:22 +0200

rust-libp2p-identity (0.2.3+ds-1) experimental; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * bump project version in virtual packages and autopkgtests
  * update and refresh patches;
    update DEP-3 patch headers
  * update dh-cargo fork

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 24 Aug 2023 11:07:28 +0200

rust-libp2p-identity (0.2.1+ds-5) experimental; urgency=medium

  * update dh-cargo fork

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 07 Aug 2023 19:37:17 +0200

rust-libp2p-identity (0.2.1+ds-4) experimental; urgency=medium

  * tidy: wrap and sort control file, with shortening options -ast
  * temporarily skip dependencies for crates multihash ed25519-dalek


