=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test libp2p-identity 0.2.9
 --all-targets --all-features
Features: test-name=rust-libp2p-identity-0.2:@
Depends:
 dh-cargo,
 librust-base64-0.21+default-dev,
 librust-hex-literal-0.4+default-dev,
 librust-libp2p-identity-0.2-dev,
 librust-num-traits-0.2+default-dev,
 librust-rmp-serde-1+default-dev,
 librust-serde-json-1+default-dev,
 rustc (>= 1.73),
Restrictions: allow-stderr

Test-Command: /usr/share/cargo/bin/cargo-auto-test libp2p-identity 0.2.9
 --all-targets --no-default-features
Features: test-name=rust-libp2p-identity-0.2:
Depends:
 dh-cargo,
 librust-base64-0.21+default-dev,
 librust-hex-literal-0.4+default-dev,
 librust-libp2p-identity-0.2-dev,
 librust-num-traits-0.2+default-dev,
 librust-rmp-serde-1+default-dev,
 librust-serde-json-1+default-dev,
 rustc (>= 1.73),
Restrictions: allow-stderr

Test-Command: /usr/share/cargo/bin/cargo-auto-test libp2p-identity 0.2.9
 --all-targets
Features: test-name=rust-libp2p-identity-0.2:default
Depends:
 dh-cargo,
 librust-base64-0.21+default-dev,
 librust-hex-literal-0.4+default-dev,
 librust-libp2p-identity-0.2+default-dev,
 librust-num-traits-0.2+default-dev,
 librust-rmp-serde-1+default-dev,
 librust-serde-json-1+default-dev,
 rustc (>= 1.73),
Restrictions: allow-stderr

Test-Command: /usr/share/cargo/bin/cargo-auto-test libp2p-identity 0.2.9
 --all-targets --no-default-features --features ecdsa
Features: test-name=rust-libp2p-identity-0.2:ecdsa
Depends:
 dh-cargo,
 librust-base64-0.21+default-dev,
 librust-hex-literal-0.4+default-dev,
 librust-libp2p-identity-0.2+ecdsa-dev,
 librust-num-traits-0.2+default-dev,
 librust-rmp-serde-1+default-dev,
 librust-serde-json-1+default-dev,
 rustc (>= 1.73),
Restrictions: allow-stderr

Test-Command: /usr/share/cargo/bin/cargo-auto-test libp2p-identity 0.2.9
 --all-targets --no-default-features --features ed25519
Features: test-name=rust-libp2p-identity-0.2:ed25519
Depends:
 dh-cargo,
 librust-base64-0.21+default-dev,
 librust-hex-literal-0.4+default-dev,
 librust-libp2p-identity-0.2+ed25519-dev,
 librust-num-traits-0.2+default-dev,
 librust-rmp-serde-1+default-dev,
 librust-serde-json-1+default-dev,
 rustc (>= 1.73),
Restrictions: allow-stderr

Test-Command: /usr/share/cargo/bin/cargo-auto-test libp2p-identity 0.2.9
 --all-targets --no-default-features --features peerid
Features: test-name=rust-libp2p-identity-0.2:peerid
Depends:
 dh-cargo,
 librust-base64-0.21+default-dev,
 librust-hex-literal-0.4+default-dev,
 librust-libp2p-identity-0.2+peerid-dev,
 librust-num-traits-0.2+default-dev,
 librust-rmp-serde-1+default-dev,
 librust-serde-json-1+default-dev,
 rustc (>= 1.73),
Restrictions: allow-stderr

Test-Command: /usr/share/cargo/bin/cargo-auto-test libp2p-identity 0.2.9
 --all-targets --no-default-features --features rand
Features: test-name=rust-libp2p-identity-0.2:rand
Depends:
 dh-cargo,
 librust-base64-0.21+default-dev,
 librust-hex-literal-0.4+default-dev,
 librust-libp2p-identity-0.2+rand-dev,
