## rust-libp2p-identity 0.2.10+20250205+ds

=== debian/changelog ===
rust-libp2p-identity (0.2.10+20250205+ds-1) unstable; urgency=medium

  * drop patch 2002_bs58, obsoleted by Debian packaging changes
  * declare rust-related build-dependencies unconditionally,
    i.e. drop broken nocheck annotations
  * add metadata about upstream project
  * update git-buildpackage config:
    + filter out debian subdir
    + improve usage comment
  * update watch file:
    + improve filename mangling
    + track git commits (not releases)
  * update copyright info: update coverage
  * update and unfuzz patches
  * bump (build-)dependency for crate thiserror;
    stop (build-)depend on package for crate void;
    stop build- or autopkgtest-depend on package for crate base64
  * bump project versions in virtual packages and autopkgtests

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 07 Feb 2025 11:18:02 +0100

rust-libp2p-identity (0.2.9+ds-10) unstable; urgency=medium

  * drop patch 2002_base64, obsoleted by Debian package changes;
    bump build- and autopkgtest-dependencies for crate base64

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 05 Oct 2024 21:45:02 +0200

rust-libp2p-identity (0.2.9+ds-9) unstable; urgency=medium

  * reduce autopkgtest to check single-feature tests only on amd64
  * stop mention dh-cargo in long description
  * drop patches 2002_hkdf 2002_rmp_serde 2002_zeroice,
    obsoleted by Debian package changes

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 29 Aug 2024 10:54:59 +0200

rust-libp2p-identity (0.2.9+ds-8) unstable; urgency=medium

  * extend patch 1001

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 31 Jul 2024 01:59:57 +0200

rust-libp2p-identity (0.2.9+ds-7) unstable; urgency=medium

  * fix patch 1001

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 30 Jul 2024 09:00:51 +0200

rust-libp2p-identity (0.2.9+ds-6) unstable; urgency=medium

  * autopkgtest-depend on dh-rust (not dh-cargo)
  * extend patch 1001
    to cover keypair::tests::keypair_from_protobuf_encoding

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 20 Jul 2024 19:09:33 +0200

rust-libp2p-identity (0.2.9+ds-5) unstable; urgency=medium

  * fix: set buildsystem=rust in overridden debhelper targets

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 12 Jul 2024 16:08:02 +0200

rust-libp2p-identity (0.2.9+ds-4) unstable; urgency=medium

  * simplify packaging;
    build-depend on dh-sequence-rust
    (not dh-cargo libstring-shellquote-perl)
  * stop autopkgtest-depend on recent rustc

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 12 Jul 2024 14:38:08 +0200
