=== debian/control ===
Source: rust-libp2p-identity
Section: rust
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-rust,
 librust-bs58-0.5+default-dev,
 librust-ed25519-dalek-2+default-dev,
 librust-hex-literal-0.4+default-dev,
 librust-hkdf-0.12+default-dev,
 librust-multihash-0.19+default-dev,
 librust-num-traits-0.2+default-dev,
 librust-p256-0.13+ecdsa-dev,
 librust-p256-0.13+pem-dev,
 librust-p256-0.13+std-dev,
 librust-quick-protobuf-0.8+default-dev,
 librust-quickcheck-1+default-dev,
 librust-rand-0.8+default-dev,
 librust-rmp-serde-1+default-dev,
 librust-sec1-0.7-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
 librust-sha2-0.10+default-dev,
 librust-thiserror-2+default-dev,
 librust-tracing-0.1+default-dev,
 librust-zeroize-1+default-dev,
 rustc (>= 1.73),
Maintainer: Jonas Smedegaard <dr@jones.dk>
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/debian/rust-libp2p-identity.git
Vcs-Browser: https://salsa.debian.org/debian/rust-libp2p-identity
Homepage: https://github.com/libp2p/rust-libp2p
Rules-Requires-Root: no

Package: librust-libp2p-identity-dev
Architecture: all
Multi-Arch: foreign
Depends:
 librust-bs58-0.5+default-dev,
 librust-ed25519-dalek-2+default-dev,
 librust-hkdf-0.12+default-dev,
 librust-multihash-0.19+default-dev,
 librust-p256-0.13+ecdsa-dev,
 librust-p256-0.13+pem-dev,
 librust-p256-0.13+std-dev,
 librust-quick-protobuf-0.8+default-dev,
 librust-rand-0.8+default-dev,
 librust-sec1-0.7-dev,
 librust-serde-1+derive-dev,
 librust-sha2-0.10+default-dev,
 librust-thiserror-2+default-dev,
 librust-tracing-0.1+default-dev,
 librust-zeroize-1+derive-dev,
 ${misc:Depends},
Provides:
 librust-libp2p-identity-0.2+default-dev (= ${binary:Version}),
 librust-libp2p-identity-0.2+ecdsa-dev (= ${binary:Version}),
 librust-libp2p-identity-0.2+ed25519-dev (= ${binary:Version}),
 librust-libp2p-identity-0.2+peerid-dev (= ${binary:Version}),
 librust-libp2p-identity-0.2+rand-dev (= ${binary:Version}),
 librust-libp2p-identity-0.2+serde-dev (= ${binary:Version}),
 librust-libp2p-identity-0.2-dev (= ${binary:Version}),
 librust-libp2p-identity-0.2.10-dev (= ${binary:Version}),
Description: libp2p peer identifying structures and algorithms - Rust source code
 libp2p-identity contains
 data structures and algorithms for identifying peers in libp2p.
 .
 This package contains the source for the Rust libp2p-identity crate,
 for use with cargo.
