## rust-libp2p-identity 0.2.12%2B20250805%2Bds

=== debian/changelog ===
rust-libp2p-identity (0.2.12+20250805+ds-2) unstable; urgency=medium

  * no-changes source-only upload to enable testing migration

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 11 Aug 2025 17:55:24 +0200

rust-libp2p-identity (0.2.12+20250805+ds-1) experimental; urgency=medium

  * update watch file: bump version prefix
  * unfuzz patches
  * bump project versions in virtual packages and autopkgtests
  * declare compliance with Debian Policy 4.7.2
  * stop tolerate test failures when targeted experimental
  * update TODO note about omitted features

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 09 Aug 2025 10:21:35 +0200
