## rust-libp2p-identity 0.2.12+20250805+ds

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
  librust-zeroize-1+default-dev,
  rustc (>= 1.73),
 Maintainer: Jonas Smedegaard <dr@jones.dk>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/debian/rust-libp2p-identity.git
 Vcs-Browser: https://salsa.debian.org/debian/rust-libp2p-identity
 Homepage: https://github.com/libp2p/rust-libp2p
@@ -60,7 +60,7 @@
  librust-libp2p-identity-0.2+rand-dev (= ${binary:Version}),
  librust-libp2p-identity-0.2+serde-dev (= ${binary:Version}),
  librust-libp2p-identity-0.2-dev (= ${binary:Version}),
- librust-libp2p-identity-0.2.10-dev (= ${binary:Version}),
+ librust-libp2p-identity-0.2.12-dev (= ${binary:Version}),
 Description: libp2p peer identifying structures and algorithms - Rust source code
  libp2p-identity contains
  data structures and algorithms for identifying peers in libp2p.
