=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

# avoid cleaning unless source is patched
override_dh_auto_clean:
	grep -q '"core"' Cargo.toml || dh_auto_clean --buildsystem rust
