=== debian/tests/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # check single-feature tests only on amd64
 
-Test-Command: /usr/share/dh-rust/bin/cargo-auto-test libp2p-identity 0.2.10
+Test-Command: /usr/share/dh-rust/bin/cargo-auto-test libp2p-identity 0.2.12
  --all-targets --all-features
 Features: test-name=rust-libp2p-identity-0.2:@
 Depends:
@@ -12,7 +12,7 @@
  librust-serde-json-1+default-dev,
 Restrictions: allow-stderr
 
-Test-Command: /usr/share/dh-rust/bin/cargo-auto-test libp2p-identity 0.2.10
+Test-Command: /usr/share/dh-rust/bin/cargo-auto-test libp2p-identity 0.2.12
  --all-targets --no-default-features
 Features: test-name=rust-libp2p-identity-0.2:
 Depends:
@@ -24,7 +24,7 @@
  librust-serde-json-1+default-dev,
 Restrictions: allow-stderr
 
-Test-Command: /usr/share/dh-rust/bin/cargo-auto-test libp2p-identity 0.2.10
+Test-Command: /usr/share/dh-rust/bin/cargo-auto-test libp2p-identity 0.2.12
  --all-targets
 Features: test-name=rust-libp2p-identity-0.2:default
 Depends:
@@ -36,7 +36,7 @@
  librust-serde-json-1+default-dev,
 Restrictions: allow-stderr
 
-Test-Command: /usr/share/dh-rust/bin/cargo-auto-test libp2p-identity 0.2.10
+Test-Command: /usr/share/dh-rust/bin/cargo-auto-test libp2p-identity 0.2.12
  --all-targets --no-default-features --features ecdsa
 Features: test-name=rust-libp2p-identity-0.2:ecdsa
 Depends:
@@ -49,7 +49,7 @@
 Restrictions: allow-stderr
 Architecture: amd64
 
-Test-Command: /usr/share/dh-rust/bin/cargo-auto-test libp2p-identity 0.2.10
+Test-Command: /usr/share/dh-rust/bin/cargo-auto-test libp2p-identity 0.2.12
  --all-targets --no-default-features --features ed25519
 Features: test-name=rust-libp2p-identity-0.2:ed25519
 Depends:
@@ -62,7 +62,7 @@
 Restrictions: allow-stderr
 Architecture: amd64
 
-Test-Command: /usr/share/dh-rust/bin/cargo-auto-test libp2p-identity 0.2.10
+Test-Command: /usr/share/dh-rust/bin/cargo-auto-test libp2p-identity 0.2.12
  --all-targets --no-default-features --features peerid
 Features: test-name=rust-libp2p-identity-0.2:peerid
 Depends:
@@ -75,7 +75,7 @@
 Restrictions: allow-stderr
 Architecture: amd64
 
-Test-Command: /usr/share/dh-rust/bin/cargo-auto-test libp2p-identity 0.2.10
+Test-Command: /usr/share/dh-rust/bin/cargo-auto-test libp2p-identity 0.2.12
  --all-targets --no-default-features --features rand
 Features: test-name=rust-libp2p-identity-0.2:rand
 Depends:
@@ -88,4 +88,4 @@
 Restrictions: allow-stderr
 Architecture: amd64
 
-Test-Command: /usr/share/dh-rust/bin/cargo-auto-test libp2p-identity 0.2.10
+Test-Command: /usr/share/dh-rust/bin/cargo-auto-test libp2p-identity 0.2.12
