=== debian/watch ===
--- 
+++ 
@@ -5,7 +5,7 @@
 opts=\
 repacksuffix=+ds,\
 filenamemangle=s/.*?@ANY_VERSION@(@ARCHIVE_EXT@)/@PACKAGE@_$1.orig$2/,\
-mode=git,pgpmode=none,pretty=0.2.10+%cd,\
+mode=git,pgpmode=none,pretty=0.2.12+%cd,\
 dversionmangle=auto \
 https://github.com/libp2p/rust-libp2p.git \
 HEAD
