## rust-libp2p-identity 0.2.13+ds

=== debian/changelog ===
rust-libp2p-identity (0.2.13+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update DEP-3 patch headers
  * stop build-depend explicitly on rustc:
    needed version is satisfied since stable suite
  * drop patch 2002_tracing,
    obsoleted by Debian packaging changes
  * update watch file:
    + use file format version 5
    + avoid bogus tag libp2p-identity-v0.11.0
    + track released tags (not git commits)
  * bump project versions in virtual packages and autopkgtests
  * unfuzz patch

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 09 Dec 2025 23:59:24 +0100
