=== debian/control ===
--- 
+++ 
@@ -24,7 +24,6 @@
  librust-thiserror-2+default-dev,
  librust-tracing-0.1+default-dev,
  librust-zeroize-1+default-dev,
- rustc (>= 1.73),
 Maintainer: Jonas Smedegaard <dr@jones.dk>
 Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/debian/rust-libp2p-identity.git
@@ -60,7 +59,7 @@
  librust-libp2p-identity-0.2+rand-dev (= ${binary:Version}),
  librust-libp2p-identity-0.2+serde-dev (= ${binary:Version}),
  librust-libp2p-identity-0.2-dev (= ${binary:Version}),
- librust-libp2p-identity-0.2.12-dev (= ${binary:Version}),
+ librust-libp2p-identity-0.2.13-dev (= ${binary:Version}),
 Description: libp2p peer identifying structures and algorithms - Rust source code
  libp2p-identity contains
  data structures and algorithms for identifying peers in libp2p.
