=== debian/tests/control ===
# check single-feature tests only on amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test libp2p-identity 0.2.13
 --all-targets --all-features
Features: test-name=rust-libp2p-identity:@
Depends:
 dh-rust,
 librust-hex-literal-0.4+default-dev,
 librust-libp2p-identity-0.2-dev,
 librust-num-traits-0.2+default-dev,
 librust-rmp-serde-1+default-dev,
 librust-serde-json-1+default-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test libp2p-identity 0.2.13
 --all-targets --no-default-features
Features: test-name=rust-libp2p-identity:
Depends:
 dh-rust,
 librust-hex-literal-0.4+default-dev,
 librust-libp2p-identity-0.2-dev,
 librust-num-traits-0.2+default-dev,
 librust-rmp-serde-1+default-dev,
 librust-serde-json-1+default-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test libp2p-identity 0.2.13
 --all-targets
Features: test-name=rust-libp2p-identity:default
Depends:
 dh-rust,
 librust-hex-literal-0.4+default-dev,
 librust-libp2p-identity-0.2+default-dev,
 librust-num-traits-0.2+default-dev,
 librust-rmp-serde-1+default-dev,
 librust-serde-json-1+default-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test libp2p-identity 0.2.13
 --all-targets --no-default-features --features ecdsa
Features: test-name=rust-libp2p-identity:ecdsa
Depends:
 dh-rust,
 librust-hex-literal-0.4+default-dev,
 librust-libp2p-identity-0.2+ecdsa-dev,
 librust-num-traits-0.2+default-dev,
 librust-rmp-serde-1+default-dev,
 librust-serde-json-1+default-dev,
Restrictions: allow-stderr
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test libp2p-identity 0.2.13
 --all-targets --no-default-features --features ed25519
Features: test-name=rust-libp2p-identity:ed25519
Depends:
 dh-rust,
 librust-hex-literal-0.4+default-dev,
 librust-libp2p-identity-0.2+ed25519-dev,
 librust-num-traits-0.2+default-dev,
 librust-rmp-serde-1+default-dev,
 librust-serde-json-1+default-dev,
Restrictions: allow-stderr
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test libp2p-identity 0.2.13
 --all-targets --no-default-features --features peerid
Features: test-name=rust-libp2p-identity:peerid
Depends:
 dh-rust,
 librust-hex-literal-0.4+default-dev,
 librust-libp2p-identity-0.2+peerid-dev,
 librust-num-traits-0.2+default-dev,
 librust-rmp-serde-1+default-dev,
 librust-serde-json-1+default-dev,
Restrictions: allow-stderr
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test libp2p-identity 0.2.13
 --all-targets --no-default-features --features rand
Features: test-name=rust-libp2p-identity:rand
Depends:
 dh-rust,
 librust-hex-literal-0.4+default-dev,
 librust-libp2p-identity-0.2+rand-dev,
 librust-num-traits-0.2+default-dev,
 librust-rmp-serde-1+default-dev,
 librust-serde-json-1+default-dev,
Restrictions: allow-stderr
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test libp2p-identity 0.2.13
