=== debian/watch ===
version: 5
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

Template: Github
Owner: libp2p
Project: rust-libp2p
Dversion-Mangle: auto
Repacksuffix: +ds
# avoid bogus tag libp2p-identity-v0.11.0
Matching-Pattern: https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/libp2p-identity-v(0\.[2-9]\.\d+)
